"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NoopCache = void 0;
class NoopCache {
    name = 'Noop cache';
    ttlLeftBeforeRefreshInMsecs = undefined;
    deleteGroup() { }
    getFromGroup() {
        return undefined;
    }
    setForGroup() { }
    clear() { }
    delete() { }
    deleteMany() { }
    deleteFromGroup() { }
    get() {
        return undefined;
    }
    getExpirationTimeFromGroup() {
        return undefined;
    }
    getExpirationTime() {
        return undefined;
    }
    getMany(keys) {
        return {
            unresolvedKeys: keys,
            resolvedValues: [],
        };
    }
    getManyFromGroup(keys, _group) {
        return {
            unresolvedKeys: keys,
            resolvedValues: [],
        };
    }
    set() { }
}
exports.NoopCache = NoopCache;
//# sourceMappingURL=NoopCache.js.map