import type { GroupCache, GroupDataSource } from '../types/DataSources';
export declare class RedisExpirationTimeGroupDataSource implements GroupDataSource<number> {
    readonly name = "RedisExpirationTimeGroupedLoader";
    private readonly parentAsyncCache;
    constructor(asyncCache: GroupCache<any>);
    getFromGroup(key: string, group: string): Promise<number | undefined>;
    getManyFromGroup(): Promise<number[]>;
}
