import type { RedisNotificationConfig } from './RedisNotificationFactory';
import { RedisGroupNotificationPublisher } from './RedisGroupNotificationPublisher';
import { RedisGroupNotificationConsumer } from './RedisGroupNotificationConsumer';
export declare function createGroupNotificationPair<T>(config: RedisNotificationConfig): {
    publisher: RedisGroupNotificationPublisher<T>;
    consumer: RedisGroupNotificationConsumer<T>;
};
