"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedisExpirationTimeDataSource = void 0;
class RedisExpirationTimeDataSource {
    name = 'RedisExpirationTimeLoader';
    parentAsyncCache;
    constructor(asyncCache) {
        this.parentAsyncCache = asyncCache;
    }
    get(key) {
        return this.parentAsyncCache.getExpirationTime(key);
    }
    /* c8 ignore next 3 */
    getMany() {
        throw new Error('Not supported');
    }
}
exports.RedisExpirationTimeDataSource = RedisExpirationTimeDataSource;
//# sourceMappingURL=RedisExpirationTimeDataSource.js.map